#include <bits/stdc++.h>
using namespace std;
ifstream f1("bai4_14.inp");
ofstream f2("bai4_14.out");
long t,i,j=1,k,d[1000000],kq=0;
int main()
{
    f1>>t;
    while(t>0)
    {
        d[j]=t%10;
        j++;
        t=t/10;
    }
    for(i=1;i<j;i++){
        k=d[i]*pow(2,j-i-1);
        kq=kq+k;
    }
    f2<<kq;
    f1.close();
    f2.close();
}
